import atob from './atob';
var TCF_COOKIE_KEY = 'borosTcf';
/**
 * Extracts the cookie value from the cookie string
 * @param {string} key
 * @param {string} cookies
 */

var readCookie = function readCookie(key, cookies) {
  var re = new RegExp(key + '=([^;]+)');
  var value = re.exec(cookies);
  return value !== null ? value[1] : null;
};
/**
 * @param {object} param
 * @param {string} param.cookies
 * @returns {object}
 */


var getUserConsents = function getUserConsents(_ref) {
  var cookies = _ref.cookies;
  var cookieValue = readCookie(TCF_COOKIE_KEY, cookies);
  if (!cookieValue) return {};

  try {
    var _JSON$parse = JSON.parse(atob(cookieValue)),
        purpose = _JSON$parse.purpose;

    var consents = purpose.consents;
    return consents;
  } catch (e) {
    // eslint-disable-next-line no-console
    console.error(e);
    return {};
  }
};
/**
 * @param {object} param
 * @param {array} param.requiredConsents for example [1, 3, 8]
 * @param {string} param.cookies
 * @return {boolean}
 */


export var hasUserConsents = function hasUserConsents(_ref2) {
  var requiredConsents = _ref2.requiredConsents,
      cookies = _ref2.cookies;
  var userConsents = getUserConsents({
    cookies: cookies
  });
  return requiredConsents.every(function (purposeId) {
    return Boolean(userConsents[purposeId]);
  });
};